k3b (26.04.3-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Jul 2026 08:22:56 +0100

k3b (26.04.2-0ubuntu2) stonking; urgency=medium

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Jun 2026 18:10:21 +0100

k3b (26.04.2-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2026 10:24:28 +0100

k3b (26.04.1-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2026 09:32:22 +0100

k3b (26.04.0-1ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - debian/patches: kubuntu_07_quicklists.diff
    - libk3b-data to install qlogging files.
    - Use a recent version of libkcddb6-dev.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 07 May 2026 06:31:02 +0100

k3b (26.04.0-1) unstable; urgency=medium

  * Team upload
  * Drop Priority
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 28 Apr 2026 22:39:56 +0200

k3b (25.12.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 08 Mar 2026 12:00:24 +0100

k3b (25.12.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2026 13:45:40 +0000

k3b (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:18:32 +0000

k3b (25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:41:50 +0000

k3b (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:58:22 +0000

k3b (25.12.0-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Dec 2025 15:18:11 +0000

k3b (25.12.0-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - debian/patches: kubuntu_07_quicklists.diff
    - libk3b-data to install qlogging files.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Dec 2025 16:55:49 +0000

k3b (25.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.

  [ Pino Toscano ]
  * New upstream release:
    - build with FFmpeg 8+ (Closes: #1122938)
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Drop the libkf6completion-dev build dependency, not needed.
  * Use the right dh addon (kf6) when overriding dh_auto_configure.
  * Drop -Wno-deprecated -Wno-deprecated-declarations from the CXXFLAGS,
    as hopefully the deprecation warnings are gone.
  * Remove 2 obsolete maintscript entries in 2 files.

 -- Pino Toscano <pino@debian.org>  Mon, 15 Dec 2025 11:22:10 +0100

k3b (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:15:06 +0000

k3b (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:59:50 +0000

k3b (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:53:39 +0000

k3b (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:21:14 +0000

k3b (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:40:02 +0100

k3b (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:05:41 +0100

k3b (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:49:31 +0100

k3b (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:29:17 +0100

k3b (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:03:36 +0100

k3b (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:37:05 +0100

k3b (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:38:45 +0100

k3b (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:01:37 +0100

k3b (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:25:18 +0200

k3b (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:42:49 +0100

k3b (24.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Apr 2025 17:43:42 -0400

k3b (24.12.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 09:51:15 -0500

k3b (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:36:32 +0000

k3b (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:11:19 +0000

k3b (24.12.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Use taglib 2.x build-dependency package name:
    libtag1-dev => libtag-dev.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Feb 2025 19:14:44 -0500

k3b (24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 10:16:54 +0100

k3b (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:25:34 +0000

k3b (24.12.0-2) unstable; urgency=medium

  * Limit the qt6-webengine dependency to architectures where it’s
    available (amd64 arm64 armhf i386).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 20:38:15 +0100

k3b (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing dependencies to the dev package.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 00:15:57 +0100

k3b (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:04:22 +0000

k3b (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:02:58 +0000

k3b (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 20:55:08 +0000

k3b (24.08.3-0ubuntu3) plucky; urgency=medium

  * Restore building with QtWebEngine only on [amd64 arm64 armhf].

 -- Rik Mills <rikmills@kde.org>  Sun, 17 Nov 2024 13:40:13 +0000

k3b (24.08.3-0ubuntu2) plucky; urgency=medium

  * Sync changes from Debian.

 -- Rik Mills <rikmills@kde.org>  Fri, 15 Nov 2024 06:39:18 +0000

k3b (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:36:21 +0000

k3b (24.08.2-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing dependencies to the dev package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 25 Oct 2024 09:22:33 +0200

k3b (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - libk3b-data to install qlogging files.
    - Update upstream signing key.
    - debian/patches: kubuntu_07_quicklists.diff
    - Only build depend on QtWebEngine on available architectures.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Oct 2024 20:10:37 +0000

k3b (24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Drop unnecessary lintian override.
  * New upstream release (24.08.2).
  * Switch build to Qt6, update build-deps and deps with the info
    from cmake.
  * Fix permissions of installed files.
  * Add lintian overrides for data files wrongly identified as
    documentation.
  * Drop movixmaker-2 from Suggests, it’s not in Debian anymore.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Oct 2024 15:05:19 +0200

k3b (24.05.2-1ubuntu1) oracular; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - libk3b-data to install qlogging files.
    - Update upstream signing key.
    - debian/patches: kubuntu_07_quicklists.diff
  * Merged to fix FTBFS against latest ffmpeg.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Aug 2024 09:50:31 +0100

k3b (24.05.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.05.2). (Closes: #1072425)
  * Bump Standards-Version to 4.7.0, no change required.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 31 Jul 2024 15:07:11 +0200

k3b (23.08.5-0ubuntu5) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:40:22 +0200

k3b (23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:27:47 +0000

k3b (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:40:01 +0000

k3b (23.08.5-0ubuntu2) noble; urgency=medium

  * Rebuild against latest libdvdread

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Mar 2024 14:06:51 -0400

k3b (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:33:23 -0700

k3b (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:12:02 +0000

k3b (23.08.3-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Thu, 01 Feb 2024 16:29:00 +0000

k3b (23.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.3).
  * Restrict build-dep on qtwebengine5-dev to architectures where it
    exists (Closes: #1057662).

 -- Jesse Rhodes <jesse@sney.ca>  Thu, 07 Dec 2023 15:13:13 -0500

k3b (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:31:15 +0000

k3b (23.08.2-1) unstable; urgency=medium

  [ Jesse Rhodes ]
  * Team upload.
  * New upstream release (23.08.2).
  * Update build-deps and deps with info from cmake, libkcddb and
    upstream.
  * Update list of installed files from build logs.

 -- Jesse Rhodes <jesse@sney.ca>  Sat, 04 Nov 2023 19:57:07 -0400

k3b (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:27:36 +0100

k3b (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:55:45 +0100

k3b (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:50:37 +0100

k3b (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:30:39 +0100

k3b (23.04.3-0ubuntu2) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 22:22:34 +0200

k3b (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:42:52 +0100

k3b (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libk3b-data package, install qt logging categories file in it
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:54:07 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libk3b8t64`.
